#include "hal_interface_video.h"
#include "hlog.h"

#define TAG "TAG_VIDEO"

uint32_t hal_video_init(HAL_SENSOR_IDX sensor_idx){
	uint32_t ret = -1;
	/* to init sensor */
	/* to init isp  */
	hlogi("%s ok", __func__);
INIT_ERR:	
	return ret;
}

uint32_t hal_video_deinit(){
	hlogi("%s ok", __func__);
	/* to deinit sensor */
	/* to deinit isp  */
	return OK;
}

uint32_t hal_video_get_frame(HAL_STREAM_CHANNEL stream_chn, video_frame *frame, uint32_t wait_ms){
	return OK;
}

uint32_t hal_video_set_isp_mode(HAL_SENSOR_IDX sensor_idx, HAL_ISP_MODE mode){
	return OK;
}

